July 31, 2014

Percona Server 5.6.13-61.0 first GA release is now available

Percona Server version 5.6.13-61.0

Percona Server version 5.6.13-61.0

Percona is glad to announce the first GA (Generally Available) release of Percona Server 5.6.13-61.0 on October 7th, 2013 (Downloads are available here and from the Percona Software Repositories.

Based on MySQL 5.6.13, including all the bug fixes in it, Percona Server 5.6.13-61.0 is the first GA release in the Percona Server 5.6 series. All of Percona‘s software is open-source and free, all the details of the release can be found in the 5.6.13-61.0 milestone at Launchpad.

New Features:

Bugs Fixed:

  • Due to an incompatible upstream change that went unnoticed, the page cleaner thread would attempt to replay any file operations it encountered. In most cases this were a no-op, but there were race conditions for certain DDL operations that would have resulted in server crash. Bug fixed #1217002.
  • apt-get upgrade of Percona Server would fail in post-installation step if server failed to start. Bug fixed #1002500.
  • Percona Server 5.6 now ships with memcached plugins. Bug fixed #1159621.
  • Fixed the libssl.so.6 dependency issues in binary tarballs releases. Bug fixed #1172916.
  • Error in install_layout.cmake could cause that some library files, during the build, end up in different directories on x86_64 environment. Bug fixed #1174300.
  • Server would crash if empty string was passed to AES_ENCRYPT when older OpenSSL version was used. Upstream bug fixed #70489, bug fixed #1201033.
  • Kill Idle Transactions feature didn’t work correctly if Thread Pool was enabled. Bug fixed #1201440.
  • Percona Server 5.6.12-60.4 would crash if server was started with Thread Pool feature enabled. Bugs fixed #1201681, #1194097 and #1201442.
  • Memory leak was introduced by the fix for bug #1132194. Bug fixed #1204873.
  • A server could have crashed under a heavy I/O-bound workload involving compressed InnoDB tables. Bug fixed #1224432.
  • A potential deadlock, involving DDL, SELECT, SHOW ENGINE INNODB STATUS, and KILL, has been fixed. Fixed the upstream bug #60682, bug fixed #1115048.
  • A memory leak in Utility user feature has been fixed. Bug fixed #1166638.
  • A server could crash due to a race condition between a INNODB_CHANGED_PAGES query and bitmap file delete by PURGE CHANGED_PAGE_BITMAP or directly on the file system. Bug fixed #1191580.
  • Percona Server could not be built with Thread Pool feature and -DWITH_PERFSCHEMA_ENGINE=OFF option. Bug fixed #1196383.
  • Page cleaner should perform LRU flushing regardless of server activity. Fixed the upstream bug #70500, bug fixed #1234562.
  • Fixed the upstream bug #64556 which could cause an unrelated warning to be raised if a query inside InnoDB was interrupted. Bug fixed #1115158.

Other bugs fixed: bug fixed #1131949, bug fixed #1191589, bug fixed #1229583, upstream bug fixed #70490 bug fixed #1205196,upstream bug fixed #70417 bug fixed #1230220.

Release notes for Percona Server 5.6.13-61.0 are available in our online documentation. Bugs can be reported on the launchpad bug tracker.

Comments

  1. Dash Bitla says:

    Finally the Long Wait is OVER.
    Can’t wait anymore to try this out and push it into Production.

    Congratulations Percona Team and Thank you.

  2. Filip Krejčí says:

    Great…. but what about simple restarts of percona server? It’s disaster for last two years, which is still not fixed…. we are thinking about leaving percona on our servers due these problems.

    Installation on clean deb 7 distros from your APT repository also sucks me…

  3. @Filip,

    Did you report the bug to https://bugs.launchpad.net/percona-server ?

  4. Wesley Wu says:

    Congratulations. I’m really excited to hear the GA launch!!

  5. Nathan says:

    Nice! I’ve been waiting for what seems like eternity.

  6. rucypli says:

    very exciting

  7. Paul says:

    After upgrade from 5.5 to 5.6 I get a PHP warning:

    Warning: mysqli_connect(): Headers and client library minor version mismatch. Headers:50531 Library:50613 in …

  8. vishnu rao says:

    awesome! congrats on the GA release. really exciting.

  9. vishnu rao says:

    hi

    does percona 5.6 come with this feature ?

  10. Michael Rikmas says:

    Thanks Percona and Congrats to my Ukrainian and Russian friends!

    Few days ago I had a talk about Percona Cluster in conference “FailOver Conference” (Kiev, Ukraine) and almost each second presentation mentioned Percona in sense of “We moved to Percona because (some performance reason)”. Then I got a lot of questions about “When 5.6 GA will be available”? So now the saint moment happened and 5.6 GA by Percona released!

    Thanks our team for efforts!
    I’m really happy!

  11. Roel Van de Paar says:

    @Paul; Potentially it’s related to using an older version of PHP; with a recent version of PHP on CentOS 6 everything works fine. Give it a go.

  12. Roel Van de Paar says:

    Thanks everyone for the excited/great comments!

    @Vishnu – which feature are you referring to?

  13. Rabudde says:

    @Roel Van de Paar: installed Debian Wheezy (Linux db01 3.2.0-4-amd64 #1 SMP Debian 3.2.51-1) with PHP 5.4.20-1~dotdeb.1 from Dotdeb and Percona Server 5.6.13-rel61.0 gives this warning:

    mysqli::mysqli(): Headers and client library minor version mismatch. Headers:50531 Library:50613

    too. I don’t think this is related to an outdated version of PHP, isn’t it?

  14. André Noack says:

    Switch to using the mysqlnd driver in PHP, dotdeb provides php5-mysqlnd package.

  15. Paul says:

    I’m using PHP 5.5.4, so I think my problem ins’t related to an old PHP version, switching to mysqlnd helped resolving it but another problem occured. WHen I tried to use SSL on database connection I got: Warning: mysqli::real_connect(): this stream does not support SSL/crypto…

  16. vishnu rao says:

    @ Roel

    sorry a comment meant for another blog post came into this thread.

    i guess i was referring to Online Schema change.

  17. 135 says:

    André Noack, thanks for advice! Your suggest the right. After change from php-mysql to php-mysqlnd warnings stopped.

Speak Your Mind

*